Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604400 - arch/{ia64,sparc,s390}/package.mask prevents stabilization of texlive-2014
Summary: arch/{ia64,sparc,s390}/package.mask prevents stabilization of texlive-2014
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TeX project
URL:
Whiteboard:
Keywords:
Depends on: 606794
Blocks: CVE-2012-2120 550840
  Show dependency tree
 
Reported: 2017-01-02 13:56 UTC by Pacho Ramos
Modified: 2017-05-26 09:21 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2017-01-02 13:56:18 UTC
This mask is preventing the stabilization of texlive on some arches:
# Alexis Ballier <aballier@gentoo.org> (27 Jun 2013)
# TeX Live 2013 mask.
# kpathsea has to be there because it has config files without /usr/share/texmf
# and thus will break anything before TeX Live 2013.
>=dev-libs/kpathsea-6.1.1_p20130530
>=app-text/texlive-core-2013
>=dev-tex/luatex-0.74
>=app-text/texlive-2013
>=dev-tex/bibtexu-3.71_p20130530
>=dev-texlive/texlive-fontsextra-2013
[...]

$ grep -r kpathsea *
arch/ia64/package.mask:# kpathsea has to be there because it has config files without /usr/share/texmf
arch/ia64/package.mask:>=dev-libs/kpathsea-6.1.1_p20130530
arch/s390/package.mask:# kpathsea has to be there because it has config files without /usr/share/texmf
arch/s390/package.mask:>=dev-libs/kpathsea-6.1.1_p20130530
arch/sparc/package.mask:# kpathsea has to be there because it has config files without /usr/share/texmf
arch/sparc/package.mask:>=dev-libs/kpathsea-6.1.1_p20130530

Probably the masks are obsolete if we are going to move to 2014 texlive...
Comment 1 Alexis Ballier gentoo-dev 2017-01-16 10:58:46 UTC
Bug #475124 hasn't been properly fixed by arch teams, that's why we hit this crap now...
Comment 2 Pacho Ramos gentoo-dev 2017-01-16 21:13:13 UTC
What packages are pending of keywording in that arches? :/ Without providing them a list I don't think they will keyword them ever
Comment 3 Alexis Ballier gentoo-dev 2017-01-21 16:38:21 UTC
https://github.com/gentoo/gentoo/pull/3580

should give a proper report
Comment 5 Alexis Ballier gentoo-dev 2017-05-26 09:21:33 UTC
fixed the qa issues and merged the pr